Bug 337741 - Traceback from apps browser
Traceback from apps browser
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bigboard (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 07:38 EDT by Tim Waugh
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.5.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 12:59:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2007-10-18 07:38:09 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2007-10-18 07:42:02 EDT
(oops, enter key slipped)

Description of problem:
Traceback when starting bigboard.  Getting AttributeError exceptions for:

pinnedApplications
applicationUsageEnabled
categoryDisplayName

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 555, in
msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/lib64/python2.5/site-packages/ddm/DataModel.py", line 225, in
__on_query_reply
    self._on_success(result)
  File "/usr/lib64/python2.5/site-packages/ddm/Query.py", line 81, in _on_success
    handler(result)
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/apps.py", line
325, in __on_got_self
    self.__on_my_pinned_apps_changed(myself)
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/apps.py", line
334, in __on_my_pinned_apps_changed
    _logger.debug("My pinned apps from data model: " +
str(myself.pinnedApplications))
  File "/usr/lib64/python2.5/site-packages/ddm/Resource.py", line 178, in
__getattr__
    raise AttributeError(name)
AttributeError: pinnedApplications
"12:21:06 [46912496258848] bigboard.stocks.AppsStock ERROR Exception in idle"
Traceback (most recent call last):
  File "/usr/lib64/python2.5/site-packages/bigboard/libbig/gutil.py", line 8, in
_run_logging
    f(*args)
  File "/usr/lib64/python2.5/site-packages/bigboard/libbig/gutil.py", line 27,
in _run_removing_from_call_once
    f()
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/AppsStock.py",
line 195, in __sync
    usage = self.__repo.get_app_usage_enabled()
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/apps.py", line
464, in get_app_usage_enabled
    usage = self.__myself.applicationUsageEnabled
  File "/usr/lib64/python2.5/site-packages/ddm/Resource.py", line 178, in
__getattr__
    raise AttributeError(name)
AttributeError: applicationUsageEnabled
"12:21:13 [46912496258848] bigboard.stocks.AppsStock ERROR Exception in idle"
Traceback (most recent call last):
  File "/usr/lib64/python2.5/site-packages/bigboard/libbig/gutil.py", line 8, in
_run_logging
    f(*args)
  File "/usr/lib64/python2.5/site-packages/bigboard/libbig/gutil.py", line 27,
in _run_removing_from_call_once
    f()
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/AppsStock.py",
line 195, in __sync
    usage = self.__repo.get_app_usage_enabled()
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/apps.py", line
464, in get_app_usage_enabled
    usage = self.__myself.applicationUsageEnabled
  File "/usr/lib64/python2.5/site-packages/ddm/Resource.py", line 178, in
__getattr__
    raise AttributeError(name)
AttributeError: applicationUsageEnabled
"12:21:13 [46912496258848] bigboard.stocks.AppsStock ERROR Exception in idle"
Traceback (most recent call last):
  File "/usr/lib64/python2.5/site-packages/bigboard/libbig/gutil.py", line 8, in
_run_logging
    f(*args)
  File "/usr/lib64/python2.5/site-packages/bigboard/libbig/gutil.py", line 27,
in _run_removing_from_call_once
    f()
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/AppsStock.py",
line 195, in __sync
    usage = self.__repo.get_app_usage_enabled()
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/apps.py", line
464, in get_app_usage_enabled
    usage = self.__myself.applicationUsageEnabled
  File "/usr/lib64/python2.5/site-packages/ddm/Resource.py", line 178, in
__getattr__
    raise AttributeError(name)
AttributeError: applicationUsageEnabled
"12:21:46 [46912496258848] bigboard.AppBrowser ERROR Exception in idle"
Traceback (most recent call last):
  File "/usr/lib64/python2.5/site-packages/bigboard/libbig/gutil.py", line 8, in
_run_logging
    f(*args)
  File "/usr/lib64/python2.5/site-packages/bigboard/libbig/gutil.py", line 27,
in _run_removing_from_call_once
    f()
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/appbrowser.py",
line 397, in __sync_display
    categories = categorize(filter(self.__filter_app_and_installed_or_used,
self.__all_apps))
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/appbrowser.py",
line 135, in categorize
    cat = app.get_category()
  File "/usr/lib64/python2.5/site-packages/bigboard/stocks/apps/apps.py", line
69, in get_category
    return self.__resource and self.__resource.categoryDisplayName or "Other"
  File "/usr/lib64/python2.5/site-packages/ddm/Resource.py", line 178, in
__getattr__
    raise AttributeError(name)
AttributeError: categoryDisplayName

Version-Release number of selected component (if applicable):
bigboard-0.5.23-1.fc7
online-desktop-0.2.20-1.fc7
(both built from F-7 CVS)

How reproducible:
100%

Steps to Reproduce:
1.Log in.
  
Additional info:
Was working with 0.5.22 and 0.2.19.
Comment 2 Tim Waugh 2007-10-18 07:47:55 EDT
With this change the Apps list in the side panel actually starts up and shows
applications, whereas previously it was empty:

--- ./apps.py.orig      2007-10-18 12:35:06.000000000 +0100
+++ ./apps.py   2007-10-18 12:46:06.000000000 +0100
@@ -169,6 +169,7 @@ class AppsHttpDownloader:
         attrs = xml_get_attrs(node, ['id', 'rank', 'usageCount', 
                                      'iconUrl', 
                                      'category',
+                                     'categoryDisplayName',
                                      'name', 'desktopNames', 'packageNames',
                                      ('tooltip', True),
                                      ('genericName', True)
Comment 3 Colin Walters 2007-10-22 15:22:22 EDT
Hm, I don't see an attribute categoryDisplayName in the XML.  It seems likely
that there was a transient issue that caused the original failure.

As regards the other two AttributeErrors; there have been some changes in this
area in 0.5.23, but I'm not sure whether I can say for sure they're fixed.  Can
you still reproduce at 100%?
Comment 4 Tim Waugh 2007-10-29 12:59:28 EDT
0.5.26 works fine without any changes.

Note You need to log in before you can comment on or make changes to this bug.